%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Name:           xmldiff
Version:        0.6.8
Release:        1%{?dist}
Summary:        Tree to tree correction between XML documents

Group:          Applications/Text
License:        GPL
URL:            http://www.logilab.org/projects/xmldiff
Source0:        ftp://ftp.logilab.org/pub/xmldiff/%{name}-%{version}.tar.gz
# No license in original tarball, but referenced in docs
Source1:	GPL
Patch0:		xmldiff-0.6.7-xsldata.patch
Patch1:		xmldiff-0.6.7-clean-tmp.patch
Patch2:		xmldiff-0.6.8-importorder.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python
BuildRequires:  python-devel
BuildRequires:	python-logilab-common
Requires:   docbook-style-xsl
Requires:   file
Requires:   /usr/bin/sgmlnorm
Requires:   /usr/bin/xsltproc


%description
The xmldiff utility extracts differences between two XML files. It
returns a set of primitives to apply on source tree to obtain the
destination tree.  The implementation is based on _Change detection in
hierarchically structured information_, by S. Chawathe, A. Rajaraman,
H. Garcia-Molina and J. Widom (Stanford University, 1996).


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
for i in man/*.1 __pkginfo__.py doc/*.txt
do
	iconv -f iso-8859-1 -t UTF-8 "$i" > "${i}_" ; mv "${i}_" "$i"
done
install -pm 644 %{SOURCE1} COPYING


%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
# strip tests
rm -rf ${RPM_BUILD_ROOT}%{python_sitearch}/xmldiff/test
mkdir -p ${RPM_BUILD_ROOT}{%{_mandir}/man1,%{_docdir}/%{name}-%{version}}
install -m 644 man/*.1 ${RPM_BUILD_ROOT}%{_mandir}/man1
# quiet rpmlint
chmod +x ${RPM_BUILD_ROOT}%{python_sitearch}/xmldiff/main.py


%check
cd test
PYTHONPATH=$(ls -1d ${PWD}/../build/lib.*) %{__python} runtests.py

 
%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc COPYING README README.xmlrev doc/*.html doc/*.txt
%{_datadir}/xml/xmldiff/
%{python_sitearch}/xmldiff/
%{_bindir}/xmldiff
%{_bindir}/xmlrev
%{_mandir}/man1/*


%changelog
* Fri Dec 15 2006 Paul W. Frields <stickster@gmail.com> - 0.6.8-1
- New upstream 0.6.8
- Slight spec file cleaning

* Wed Sep  6 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-12
- Unghost pyo file

* Sat Sep  2 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-11
- Bump release for FC6 mass rebuild

* Fri Feb 17 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-10
- FESCo mandated rebuild

* Sat Feb  4 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-9
- Include x86_64 patch and remove ExcludeArch (thanks to Ville Skytta)

* Sat Jan 28 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-8
- ExcludeArch includes spurious values from misplaced comment

* Sat Jan 28 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-7
- ExcludeArch: x86_64 (#177083)

* Tue Jan 24 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-6
- Prevent temp file logjam (#177800)

* Thu Jan 12 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-5
- Add Requires: file
- xmlrev: use proper XSL location

* Tue Jan 10 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-4
- Convert additional files to UTF-8
- Include documentation properly
- Reseat XSL files

* Sun Jan  8 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-3
- Convert manpages in %%prep
- Enable tests in %%check
- Make BuildRequires more robust

* Fri Jan  6 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-2
- Fix Requires
- Drop test suite due to external dependencies
- convert man pages to UTF-8

* Thu Jan  5 2006 Paul W. Frields <stickster@gmail.com> - 0.6.7-1
- Initial RPM version

